//
//  GBImageUtilities.h
//  gBrowser
//
//  Created by andreas on Wed Oct 17 2001.

#import <Cocoa/Cocoa.h>
#import <QuartzCore/CIImage.h>


@class GBFileItem;

@interface NSImage (GBImageUtilities)

- (void)drawAdjustedInRect:(NSRect)dstRect fromRect:(NSRect)srcRect operation:(NSCompositingOperation)op fraction:(CGFloat)delta;

- (NSSize)sizeWithMaxDimension:(NSInteger)max;

+ (NSImage *)trashImage;

+ (NSImage *)openFolder;
+ (NSImage *)genericFolder;
+ (NSImage *)genericDocument;
+ (NSImage *)genericApplication;
+ (NSImage *)aliasBadge;

+ (NSImage *)scrollMenuImage;
+ (NSImage *)dropDownArrowImage;

@end




